Get Webhooks for dataflowId and RecordSetId

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
GET /dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks

Get Webhooks for the selected dataflowId and RecordSetId.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • id string

      id of the Webhook

    • record_set_id string

      RecordSet Id

    • requested_by string

      requestor name

    • status number

      Not used

    • webhook_name string

      Webhook name

    • webhook_url string

      Webhook URL

GET /dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks
curl \
 --request GET 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "_id": "570b394503f0ca524cb7d430",
    "entityId": "5684058f159fffbe29ff9912",
    "recordSetId": "570b394403f0ca524cb7d42f",
    "requestedBy": "demo_5000",
    "status": 1,
    "webhookName": "wh_rs2",
    "webhookUrl": "https://<host url>/domain/development/services/webhooks/200a9acbb5dd025f0d5429bf9b22a8c2fcb0e0d1-d095ef0a802d02c3143dac9f9c17f6675de83d28"
  }
]